summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Menno Duursma2010-10-19 18:16:52 +0200
committer Michiel van Wessem2010-10-19 18:16:52 +0200
commit31444f01c3a08fe385d86afa5de85622d2089ac9 (patch)
tree30dbcfeee3979c9f2ccfa2e262b14ef757ceb7d8
parent1f03a0e8f069db34508633d2df61701eba96368e (diff)
downloadslackbuilds-31444f01c3a08fe385d86afa5de85622d2089ac9.tar.gz
network/heimdal: Fixed permissions issues.
Signed-off-by: Michiel van Wessem <michiel@slackbuilds.org>
-rw-r--r--network/heimdal/config/heimdal.csh8
-rw-r--r--network/heimdal/config/heimdal.sh10
-rw-r--r--network/heimdal/config/kdc.conf20
-rw-r--r--network/heimdal/config/rc.heimdal36
-rw-r--r--network/heimdal/doinst.sh39
-rw-r--r--network/heimdal/heimdal.SlackBuild4
-rw-r--r--network/heimdal/heimdal.info8
7 files changed, 103 insertions, 22 deletions
diff --git a/network/heimdal/config/heimdal.csh b/network/heimdal/config/heimdal.csh
new file mode 100644
index 0000000000..be96ce7347
--- /dev/null
+++ b/network/heimdal/config/heimdal.csh
@@ -0,0 +1,8 @@
+#!/bin/csh
+
+setenv MANPATH ${MANPATH}:/usr/heimdal/man
+
+setenv PATH "${PATH}:/usr/heimdal/bin"
+if ( x"$uid" == x"0" ) then
+ setenv PATH "${PATH}:/usr/heimdal/sbin"
+endif
diff --git a/network/heimdal/config/heimdal.sh b/network/heimdal/config/heimdal.sh
new file mode 100644
index 0000000000..561d30a296
--- /dev/null
+++ b/network/heimdal/config/heimdal.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+MANPATH="$MANPATH:/usr/heimdal/man"
+export MANPATH
+
+PATH="${PATH}:/usr/heimdal/bin"
+if [ x"${EUID}" == x"0" ]; then
+ PATH="${PATH}:/usr/heimdal/sbin"
+fi
+export PATH
diff --git a/network/heimdal/config/kdc.conf b/network/heimdal/config/kdc.conf
new file mode 100644
index 0000000000..180b8ab69e
--- /dev/null
+++ b/network/heimdal/config/kdc.conf
@@ -0,0 +1,20 @@
+# Leave this section out on the clients
+[kdc]
+ # Space seperated list of addresses to listen for requests on.
+ #addresses = 192.168.0.1 172.16.0.1 10.0.0.1
+
+ # Following directive is needed when KDC starts atomatically
+ require-preauth = no
+
+ # database key file
+ key-file = /var/heimdal/key-file
+
+ # Check the addresses in the ticket when processing TGS requests.
+ check-ticket-addresses = TRUE
+
+ # Permit tickets with no addresses.
+ #allow-null-ticket-addresses = TRUE
+
+ # Permit anonymous tickets with no addresses.
+ #allow-anonymous = TRUE
+
diff --git a/network/heimdal/config/rc.heimdal b/network/heimdal/config/rc.heimdal
new file mode 100644
index 0000000000..7c0b93fe72
--- /dev/null
+++ b/network/heimdal/config/rc.heimdal
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+heimdal_start() {
+ if [ -r /var/heimdal/kdc.conf -a -x /usr/heimdal/libexec/kdc ]; then
+ echo "Starting the Kerberos service: /usr/heimdal/libexec/kdc --detach"
+ /usr/heimdal/libexec/kdc --detach
+ fi
+
+}
+
+heimdal_stop() {
+ killall kdc
+
+}
+
+heimdal_restart() {
+ heimdal_stop
+ sleep 1
+ heimdal_start
+
+}
+
+case "$1" in
+'start')
+ heimdal_start
+ ;;
+'stop')
+ heimdal_stop
+ ;;
+'restart')
+ heimdal_restart
+ ;;
+*)
+ echo "Usage: $0 start|stop|restart"
+esac
+
diff --git a/network/heimdal/doinst.sh b/network/heimdal/doinst.sh
index 804678c3b8..8920e52c25 100644
--- a/network/heimdal/doinst.sh
+++ b/network/heimdal/doinst.sh
@@ -1,3 +1,8 @@
+# Add heimdal libs to the library search path
+if ! grep -q '^/usr/heimdal/lib$' etc/ld.so.conf ; then
+ echo "/usr/heimdal/lib" >> etc/ld.so.conf
+fi
+
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
@@ -11,23 +16,27 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
-preserve_perms() {
- NEW="$1"
- OLD="$(dirname $NEW)/$(basename $NEW .new)"
- if [ -e $OLD ]; then
- cp -a $OLD ${NEW}.incoming
- cat $NEW > ${NEW}.incoming
- mv ${NEW}.incoming $NEW
+# Keep same perms on rc.heimdal:
+if [ -e etc/rc.d/rc.heimdal ]; then
+ cp -a etc/rc.d/rc.heimdal etc/rc.d/rc.heimdal.new.incoming
+ cat etc/rc.d/rc.heimdal.new > etc/rc.d/rc.heimdal.new.incoming
+ mv etc/rc.d/rc.heimdal.new.incoming etc/rc.d/rc.heimdal.new
+fi
+
+# Prepare the new configuration files
+for file in \
+ etc/rc.d/rc.heimdal.new \
+ etc/profile.d/heimdal.sh.new \
+ etc/profile.d/heimdal.csh.new ;
+ do
+ if [ -e $(dirname $file)/$(basename $file .new) -a -x $(dirname $file)/$(basename $file .new) ]; then
+ chmod 0755 $file
+ else
+ chmod 0644 $file
fi
- config $NEW
-}
+ config $file
+done
-preserve_perms etc/rc.d/rc.heimdal.new
config etc/krb5.conf-sample.new
config var/heimdal/kdc.conf-sample.new
-# Add heimdal libs to the library search path
-if ! grep -q '^/usr/heimdal/lib$' etc/ld.so.conf ; then
- echo "/usr/heimdal/lib" >> etc/ld.so.conf
-fi
-
diff --git a/network/heimdal/heimdal.SlackBuild b/network/heimdal/heimdal.SlackBuild
index ef5042fb16..62f02ff77b 100644
--- a/network/heimdal/heimdal.SlackBuild
+++ b/network/heimdal/heimdal.SlackBuild
@@ -1,7 +1,6 @@
#!/bin/sh
# Slackware build script for KTH Heimdal Kerberos
-
# Written by Menno Duursma <druiloor@zonnet.nl>
# Modified by the SlackBuilds.org project
@@ -10,7 +9,7 @@
# http://sam.zoy.org/wtfpl/COPYING for more details.
PRGNAM=heimdal
-VERSION=${VERSION:-1.4}
+VERSION=${VERSION:-1.3.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -75,7 +74,6 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux \
--enable-shared=yes \
- --disable-otp \
--without-openldap \
--without-hesiod \
--without-ipv6 \
diff --git a/network/heimdal/heimdal.info b/network/heimdal/heimdal.info
index 1c0357b689..33ae56c65d 100644
--- a/network/heimdal/heimdal.info
+++ b/network/heimdal/heimdal.info
@@ -1,10 +1,10 @@
PRGNAM="heimdal"
-VERSION="1.4"
+VERSION="1.3.3"
HOMEPAGE="http://www.h5l.org"
-DOWNLOAD="http://www.h5l.org/dist/src/heimdal-1.4.tar.gz"
-MD5SUM="31d08bbf47a77827fe97ef3f52b4c9c4"
+DOWNLOAD="ftp://ftp.sunet.se/pub/unix/admin/mirror-pdc/heimdal/src/heimdal-1.3.3.tar.gz"
+MD5SUM="963c09f1b14c41660be70b55fae9f163"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Menno Duursma"
EMAIL="druiloor@zonnet.nl"
-APPROVED="michiel"
+APPROVED="rworkman"